import { world, BlockPermutation, ItemStack, BlockTypes } from '@minecraft/server';

world.beforeEvents.worldInitialize.subscribe(eventData => {
    eventData.blockComponentRegistry.registerCustomComponent('warden_evo:on_interact_magic_gem_crystal_inactive', {
        onPlayerInteract(e) {
            const { block, player } = e;
            const equipment = player.getComponent('equippable');
            const selectedItem = equipment.getEquipment('Mainhand');
            if (selectedItem?.typeId === 'warden_evo:stalker_gem') {
                block.setType('warden_evo:magic_gem_crystal_active');
                player.runCommandAsync("playsound hit.amethyst_block @a [r=16]");
                block.dimension.spawnEntity(('warden_evo:magic_gem_active'), block.location);
            }
            if (selectedItem?.typeId === 'warden_evo:fake_stalker_gem') {
                block.setType('warden_evo:magic_gem_crystal_active');
                player.runCommandAsync("playsound hit.amethyst_block @a [r=16]");
                block.dimension.spawnEntity(('warden_evo:magic_gem_fake_active'), block.location);
            }
        }
    })
})